# eric7.Project.PropertiesDialog

Module implementing the project properties dialog.

### Global Attributes

None

### Classes

PropertiesDialog | Class implementing the project properties dialog.

### Functions

None

## PropertiesDialog

Class implementing the project properties dialog.

### Derived from

QDialog, Ui_PropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

PropertiesDialog | Constructor
getPPath | Public method to get the project path.
getProjectType | Public method to get the selected project type.
on_dirPicker_textChanged | Private slot to handle a change of the project directory.
on_languageComboBox_currentIndexChanged | Private slot handling the selection of a programming language.
on_mainscriptPicker_aboutToShowPathPickerDialog | Private slot to perform actions before the main script selection dialog is shown.
on_mainscriptPicker_pathSelected | Private slot to check the selected main script name.
on_makeButton_clicked | Private slot to display the make properties dialog.
on_spellPropertiesButton_clicked | Private slot to display the spelling properties dialog.
on_transPropertiesButton_clicked | Private slot to display the translations properties dialog.
on_vcsInfoButton_clicked | Private slot to display a vcs information dialog.
storeData | Public method to store the entered/modified data.

### Static Methods

None

#### PropertiesDialog (Constructor)

PropertiesDialog(project, new=True, parent=None, name=None)

Constructor

project
  reference to the project object
new
  flag indicating the generation of a new project
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string)

#### PropertiesDialog.getPPath

getPPath()

Public method to get the project path.

Return:
  data of the project directory edit (string)

#### PropertiesDialog.getProjectType

getProjectType()

Public method to get the selected project type.

Return:
  selected UI type (string)

#### PropertiesDialog.on_dirPicker_textChanged

on_dirPicker_textChanged(txt)

Private slot to handle a change of the project directory.

txt
  name of the project directory (string)

#### PropertiesDialog.on_languageComboBox_currentIndexChanged

on_languageComboBox_currentIndexChanged(index)

Private slot handling the selection of a programming language.

index (int)
  index of the current item

#### PropertiesDialog.on_mainscriptPicker_aboutToShowPathPickerDialog

on_mainscriptPicker_aboutToShowPathPickerDialog()

Private slot to perform actions before the main script selection dialog is shown.

#### PropertiesDialog.on_mainscriptPicker_pathSelected

on_mainscriptPicker_pathSelected(script)

Private slot to check the selected main script name.

script (str)
  name of the main script

#### PropertiesDialog.on_makeButton_clicked

on_makeButton_clicked()

Private slot to display the make properties dialog.

#### PropertiesDialog.on_spellPropertiesButton_clicked

on_spellPropertiesButton_clicked()

Private slot to display the spelling properties dialog.

#### PropertiesDialog.on_transPropertiesButton_clicked

on_transPropertiesButton_clicked()

Private slot to display the translations properties dialog.

#### PropertiesDialog.on_vcsInfoButton_clicked

on_vcsInfoButton_clicked()

Private slot to display a vcs information dialog.

#### PropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up